libtool-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

C tests for hosts that allow undefined syms in shlibs (with new test thi


From: Gary V. Vaughan
Subject: C tests for hosts that allow undefined syms in shlibs (with new test this time) [libtool--release--2.0--patch-24]
Date: Wed, 13 Oct 2004 10:22:51 +0100 (BST)
User-agent: mailnotify/0.4

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Okay to commit?

        * tests/cdemo-undef.test: New test for hosts that allow shared
        libraries with undefined symbols, but have no C++ compiler
        installed.
        * tests/Makefile.am (COMMON_TESTS): Add it.

- -- 
Gary V. Vaughan      ())_.  address@hidden,gnu.org}
Research Scientist   ( '/   http://tkd.kicks-ass.net
GNU Hacker           / )=   http://www.gnu.org/software/libtool
Technical Author   `(_~)_   http://sources.redhat.com/autobook
_________________________________________________________
This patch notification generated by tlaapply version 0.7
http://tkd.kicks-ass.net/arch/address@hidden/cvs-utils--tla--1.0
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (Darwin)

iD8DBQFBbPPqFRMICSmD1gYRAtk2AJwIJswyjEYbLmGrxTCh4pLnBgiyDQCeIZGx
Wu3DpMtCmUw7ff58nUqxSHk=
=MWqr
-----END PGP SIGNATURE-----
* looking for address@hidden/libtool--release--2.0--patch-24 to compare with
* comparing to address@hidden/libtool--release--2.0--patch-24
A  tests/.arch-ids/cdemo-undef.test.id
A  tests/cdemo-undef.test
M  ChangeLog
M  tests/Makefile.am

* modified files

Index: Changelog
from  Gary V. Vaughan  <address@hidden>
        * tests/cdemo-undef.test: New test for hosts that allow shared
        libraries with undefined symbols, but have no C++ compiler
        installed.
        * tests/Makefile.am (COMMON_TESTS): Add it.

--- orig/tests/Makefile.am
+++ mod/tests/Makefile.am
@@ -63,7 +63,8 @@
        depdemo-shared.test depdemo-make.test depdemo-exec.test \
        depdemo-inst.test depdemo-relink.test depdemo-unst.test \
        mdemo-shared.test mdemo-make.test mdemo-exec.test \
-       mdemo-inst.test mdemo-unst.test
+       mdemo-inst.test mdemo-unst.test \
+       cdemo-undef.test cdemo-make.test cdemo-exec.test
 
 if HAVE_CXX
 if HAVE_F77



* added files

--- /dev/null
+++ 
/Users/gary/devel/savannah/libtool--release--2.0/,,address@hidden/new-files-archive/./tests/.arch-ids/cdemo-undef.test.id
@@ -0,0 +1 @@
+Gary V. Vaughan <address@hidden> Wed Oct 13 10:22:26 2004 20821.0
--- /dev/null
+++ 
/Users/gary/devel/savannah/libtool--release--2.0/,,address@hidden/new-files-archive/./tests/cdemo-undef.test
@@ -0,0 +1,47 @@
+#! /bin/sh
+# cdemo-undef - test generating shared libraries with undefined symbols
+
+# Copyright (C) 2003, 2004 Free Software Foundation, Inc.
+# This is free software; see the source for copying conditions.  There is NO
+# warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, a copy can be downloaded from
+# http://www.gnu.org/copyleft/gpl.html, or by writing to the Free
+# Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
+# MA 02111-1307, USA.
+
+. ./defs || exit 1
+
+func_mkprefixdir
+func_cd "cdemo"
+func_make_distclean
+func_configure "--disable-static"
+
+grep '^allow_undefined=.?unsupported.?$' ./libtool >/dev/null 2>&1 \
+    && func_skip "$host doesn't support undefined symbols in shared libs"
+
+if test -f ./libtool; then
+  $SED 's,allow_undefined=no,allow_undefined=yes,g' ./libtool > ltnew
+else
+  exit 1
+fi
+
+if test -f ./ltnew; then
+  rm -f libtool
+  mv ltnew libtool
+else
+  exit 1
+fi
+
+exit 0


reply via email to

[Prev in Thread] Current Thread [Next in Thread]